Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

UC Jump from 7.1.5 to 9.1

Hello, i have a few questions regarding the Jump upgrade process. My lab is set up as follows

 

I built two VMs for v7.1.5 UC Publisher and Subscriber

I built two VMs for v9.1 UC Publisher and Subscriber  

Using Veeam and vCenter, i built a virtual lab that is isolated from our internal LAN and copied our domain controller, NTP Server, SFTP server.

I performed a DRS Backup on the production MCS Publisher and Subscriber.

I performed a DRS Restore on the virtual lab 7.1.5 Publisher and Subscriber.

I tried to upgrade to UC v9.1 but had a licensing issue due to the demo grace period. I called TAC and got that resolved (TAC had to get root access and remove some config).

I was able to upgrade to v9.1 with no problems.

I performed a DRS restore on the new lab v9.1 Publisher and Subscriber.

I confirmed database replication but have no way to test to see if phone will register. i think i'm going to roll the dice and disconnect the MCS servers and move the new lab 9.1 vms to production.

 

 

I have a question about applying phone firmware prior to migrating. The instructions on this PDF state on page 14, step 5 to apply phone firmware that corresponds with UC 9.1. Am i supposed to install the actual 9.1 COP file on our production 7.1.5 cluster? Or do i install the newest version of 7.1.5?

 

http://www.cisco.com/web/solutions/collaboration/docs/jump_upgrade_for_413_715_to_912.pdf

 

 

We are also planning a migration from Unity v7 to Unity Connection v9.1. I would really like to upgrade the UC Cluster first then a few days later migrate to Unity Connection. Do you know if that is supported?

2 ACCEPTED SOLUTIONS

Accepted Solutions
Hall of Fame Super Red

UC Jump from 7.1.5 to 9.1

Hi there,

What you want to do is look at the Device Defaults in your CUCM 9.1

build and look specifically at the phone models you are running. Let's use 7942's in our example;

So in CUCM 9.1 maybe the Device Defaults is set at 9-3-1SR1 for the 7942

models.

You could go to CCO software downloads via this search;

Skinny Client Control Protocol (SCCP) Software-9.3(1)SR1

And get the specific firmware for your 7942's to load on your CUCM 7.1.5 build

and upgrade the 7942's ahead of the move to CUCM 9.1 You would do this for

all active models you are using.

You might also be able to load a CUCM 7.1.5 Device pack to capture the upgrade

firmware all in one go if you are lucky. But they are unlikely to match up properly;

Unified Communications Manager/CallManager Device Packages-7.1(5.36121)

As far as upgrading CUCM before Unity Connection that should be a fully supported path.

Cheers!

Rob

"May your heart always be joyful
And may your song always be sung
May you stay forever young " 

- Dylan

Hall of Fame Super Red

UC Jump from 7.1.5 to 9.1

Hi there,

Yes that firmware would be fully supported on the 7.1.5 build

If you don't do this ahead of time it just adds an extra amount of time

on the night of the upgrade and extra stress on the TFTP server(s)

but if you don't have a zillion phones it should be OK.

Doing it ahead of time can also identify if there are firmware issues

like trying to move from something too old (pre-8-5-2) to the 9.3 version.

Cheers!

Rob

"May your heart always be joyful
And may your song always be sung
May you stay forever young " 

- Dylan

3 REPLIES
Hall of Fame Super Red

UC Jump from 7.1.5 to 9.1

Hi there,

What you want to do is look at the Device Defaults in your CUCM 9.1

build and look specifically at the phone models you are running. Let's use 7942's in our example;

So in CUCM 9.1 maybe the Device Defaults is set at 9-3-1SR1 for the 7942

models.

You could go to CCO software downloads via this search;

Skinny Client Control Protocol (SCCP) Software-9.3(1)SR1

And get the specific firmware for your 7942's to load on your CUCM 7.1.5 build

and upgrade the 7942's ahead of the move to CUCM 9.1 You would do this for

all active models you are using.

You might also be able to load a CUCM 7.1.5 Device pack to capture the upgrade

firmware all in one go if you are lucky. But they are unlikely to match up properly;

Unified Communications Manager/CallManager Device Packages-7.1(5.36121)

As far as upgrading CUCM before Unity Connection that should be a fully supported path.

Cheers!

Rob

"May your heart always be joyful
And may your song always be sung
May you stay forever young " 

- Dylan

New Member

UC Jump from 7.1.5 to 9.1

Rob, below is the v9.1(2) firmware for the 7942/7962. If I was to deploy this firmware in the 7.1.5 production environment, would I run into any issues with the phones? Is the 9-3-1 firmware supported in the 7.1.5 env?

cmterm-7942_7962-sccp.9-3-1SR2-1.cop.sgn

What if i were to NOT upgrade the firmware prior to cutting over to UC v9? Would all of the phones still download the newest frmware from the new servers at that time?

Hall of Fame Super Red

UC Jump from 7.1.5 to 9.1

Hi there,

Yes that firmware would be fully supported on the 7.1.5 build

If you don't do this ahead of time it just adds an extra amount of time

on the night of the upgrade and extra stress on the TFTP server(s)

but if you don't have a zillion phones it should be OK.

Doing it ahead of time can also identify if there are firmware issues

like trying to move from something too old (pre-8-5-2) to the 9.3 version.

Cheers!

Rob

"May your heart always be joyful
And may your song always be sung
May you stay forever young " 

- Dylan

209
Views
0
Helpful
3
Replies
CreatePlease login to create content